/**
 *  Author: Bolotnikoff Anton <anton@bolotnikoff.ru>
 *  License: GPL-2 | GPL-3
 */
SyntaxHighlighter.brushes.OneC = function()
{
    var keywords = 'if|если|then|тогда|elsif|иначеесли|else|иначе|endif|конецесли|do|цикл|for|для| to | по |each|каждого| in | из |while|пока|enddo|конеццикла|procedure|процедура|endprocedure|конецпроцедуры|function|функция|endfunction|конецфункции|var|перем|export|экспорт|goto|перейти| and | и | or | или |not |не |val|знач|break|прервать|continue|продолжить|return|возврат|try|попытка|except|исключение|endtry|конецпопытки|raise|вызватьисключение|false|ложь|true|истина|undefined|неопределено|null|new|новый|execute|выполнить';
	var keywords2 = 'If|Если|Then|Тогда|Elsif|ИначеЕсли|Else|Иначе|Endif|КонецЕсли|Do|Цикл|For|Для| To | По |Each|Каждого|In| Из |While|Пока|Enddo|КонецЦикла|Procedure|Процедура|Endprocedure|КонецПроцедуры|Function|Функция|Endfunction|КонецФункции|Var|Перем|Export|Экспорт|Goto|Перейти| And | И | Or | Или |Not |Не |Val|Знач|Break|Прервать|Continue|Продолжить|Return|Возврат|Try|Попытка|Except|Исключение|Endtry|КонецПопытки|Raise|ВызватьИсключение|False|Ложь|True|Истина|Undefined|Неопределено|Null|New|Новый|Execute|Выполнить';
	var directives = '&amp;НаКлиенте|&amp;НаСервере|&amp;НаСервереБезКонтекста|&amp;НаКлиентеНаСервереБезКонтекста';
    this.regexList = [
	{ regex: SyntaxHighlighter.regexLib.singleLineCComments,	css: 'comments' },
	{ regex: SyntaxHighlighter.regexLib.singleQuotedString,		css: 'string' },
	{ regex: SyntaxHighlighter.regexLib.doubleQuotedString,		css: 'string' },
	{ regex: new RegExp(keywords, 'gm'),                		css: 'keyword' },
	{ regex: new RegExp(keywords2, 'gm'),                		css: 'keyword' },
	{ regex: new RegExp(directives, 'gm'),                		css: 'preprocessor' },
    ];
};
SyntaxHighlighter.brushes.OneC.prototype	= new SyntaxHighlighter.Highlighter();
SyntaxHighlighter.brushes.OneC.aliases	= ['1c'];